All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::linalg::detail::fft Namespace Reference

## Functions

vcl_size_t | num_bits (vcl_size_t size)
| Get number of bits. More...
vcl_size_t | next_power_2 (vcl_size_t n)
| Find next power of two. More...

## Variables

const vcl_size_t | MAX_LOCAL_POINTS_NUM = 512

## Function Documentation

vcl_size_t viennacl::linalg::detail::fft::next_power_2 | ( | vcl_size_t | n | ) |

inline

Find next power of two.

Definition at line 71 of file fft_operations.hpp.

vcl_size_t viennacl::linalg::detail::fft::num_bits | ( | vcl_size_t | size | ) |

inline

Get number of bits.

Definition at line 54 of file fft_operations.hpp.

## Variable Documentation

const vcl_size_t viennacl::linalg::detail::fft::MAX_LOCAL_POINTS_NUM = 512

Definition at line 49 of file fft_operations.hpp.